Subject: Re: some problem with alpine

From: Joe Sypniewski <[email-masked]>
Date: Sun, 3 Jan 2021 20:05:10 +0000 (UTC)

Thank your guys for help. First I'm just "breaking my teeth" on alpine, so my questions maybe too basic, but I would like to clarify:
- The download for Extended version is 482 MB (x86), versus substantially smaller other versions. If I look inside iso; there are two partitions; one is boot and the other is a puzzle; it has no fs indicator & it looks like empty? After installation, the system has only busybox, musl, ssl & few other utilities (& kernel). All this should take couple of megs, so what is the rest?- I'm a debian guy and the deb has a very simple format; with debs I can create my local depository that I can move around and install selected packages at will w/o the network. With local depository I do not have to use anything else, but busybox with dpkg option compiled. Question is; can I create a local depository (similar to the above) with apk?
Again, thank you for your support & I'm trying to learn alpine now as I'm writing this.

    On Saturday, January 2, 2021, 5:34:33 AM UTC, PICCORO McKAY Lenz <[email-masked]> wrote:  
 
 El jue, 31 de dic. de 2020 a la(s) 23:55, <[email-masked]> escribió:
> December 31, 2020 12:37 PM, "Joe Sypniewski" <[email-masked]> wrote:
> > What is the proper way of using alpine w/o the network access?
> Alpine works fine without network access, just not for your use-case.
Bad explained: what you mention that "it works without a network" is
only the base system and not all "alpine" so that's wrong, the core
and linux kernel and common base utilities works without network, but
today based on common need the provided base system its unuseless to
those task..

> > What is the difference between "Extended" and other version since "Extended" does not contain any
> > other software?
> Extended just includes a few commonly used utilities. Alpine is
wrong again: extended is only for x86 and x64 on intel/amd
architecture cos is more common, others architectures does not have
extended flavour and will always required mostly networking

> very much a lego distribution - if you want a desktop environment,
> you're going to have to build it yourself. Which will require some
this depends software that are already package and must be installed from
packages apk files but other you must compile it..
packages as openrc must be installed by apk repositories cos is best
suid by mantainer that close knows the alpine infrastructure operating
system

> way to get .apk files to your box - typically the internet. Though
> you could download them and stick them on a flash drive or similar,
> if internet access is not possible.